Page MenuHomeFreeBSD

devel/gdb: Upgrade to 8.2.
ClosedPublic

Authored by jhb on Sep 9 2018, 4:53 AM.

Details

Summary
  • Remove patches for upstream commits in 8.2.
  • Add an upstream patch to include NT_PROCSTAT_AUXV, NT_PROCSTAT_PS_STRINGS, and NT_PROCSTAT_VMMAP notes in core dumps generated by 'gcore'.
  • Update kgdb for changes in 8.2.
  • Add 'USES=gettext-runtime'
Test Plan
  • light testing of kgdb on amd64
  • poudriere testport of amd64 on head and i386 on 11.2

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Sep 9 2018, 4:53 AM

Hi back today from holidays.
I'll run my tests on it ASAP (tomorrow morning or during EuroBSD).
Sorry for the delay, I'll keep you posted

pizzamig accepted this revision.Sep 22 2018, 12:27 PM

my tests are green
good to land!

This revision is now accepted and ready to land.Sep 22 2018, 12:27 PM
Closed by commit rP480613: Upgrade to 8.2. (authored by jhb, committed by ). · Explain WhySep 24 2018, 5:23 PM
This revision was automatically updated to reflect the committed changes.